<?php
namespace BooklyMollie\Backend\Modules\Appearance\ProxyProviders;

use Bookly\Backend\Modules\Appearance\Proxy;
use BooklyMollie\Lib\Plugin;

/**
 * Class Shared
 * @package BooklyMollie\Backend\Modules\Settings\ProxyProviders
 */
class Shared extends Proxy\Shared
{
    /**
     * @inheritDoc
     */
    public static function paymentGateways( $data )
    {
        $data[ Plugin::getSlug() ] = array(
            'label_option_name' => 'bookly_l10n_label_pay_mollie',
            'title' => 'Mollie',
            'with_card' => false,
            'logo_url' => plugins_url( 'frontend/resources/images/mollie.png', Plugin::getMainFile() ),
        );

        return $data;
    }

    /**
     * @inheritDoc
     */
    public static function prepareOptions( array $options_to_save, array $options )
    {
        return array_merge( $options_to_save, array_intersect_key( $options, array_flip( array (
            'bookly_l10n_label_pay_mollie',
        ) ) ) );
    }
}