<?php
namespace BooklyMollie\Frontend\Modules\Booking\ProxyProviders;

use Bookly\Lib as BooklyLib;
use Bookly\Frontend\Modules\Booking\Proxy;
use BooklyMollie\Lib\Plugin;

/**
 * Class Shared
 * @package BooklyMollie\Frontend\Modules\Booking\ProxyProviders
 */
class Shared extends Proxy\Shared
{
    /**
     * @inheritDoc
     */
    public static function preparePaymentOptions( $options, $form_id, $show_price, BooklyLib\CartInfo $cart_info, $userData )
    {
        $gateway = Plugin::getSlug();
        if ( Proxy\CustomerGroups::allowedGateway( $gateway, $userData ) !== false ) {
            $cart_info->setGateway( BooklyLib\Entities\Payment::TYPE_MOLLIE );
            $payment_status = $userData->extractPaymentStatus( $cart_info->getGateway() );

            $options[ $gateway ] = array(
                'html' => self::renderTemplate(
                    'payment_option',
                    compact( 'form_id', 'show_price', 'cart_info', 'payment_status' ),
                    false
                ),
                'pay' => $cart_info->getPayNow(),
            );
        }

        return $options;
    }

    /**
     * @inheritDoc
     */
    public static function renderPaymentForms( $form_id, $page_url )
    {
        \Bookly\Frontend\Components\Payment\Gateway::renderForm( $form_id, BooklyLib\Entities\Payment::TYPE_MOLLIE, $page_url );
    }
}