<?php defined( 'ABSPATH' ) || exit; // Exit if accessed directly
use BooklyMultisite\Lib\Utils\Common;

Common::notice( $errors, 'notice-error' ) ?>
<div id="bookly-tbs" class="wrap">
    <div class="card">
        <div class="card-header"><a href="<?php echo esc_attr( $url ) ?>"><?php echo $url ?></a></div>
        <form class="card-body" method="post">
            <div style="max-width: 500px">
                <small class="form-text text-muted mb-3 mt-0"><?php _e( 'Upon providing the purchase code you will have access to free updates of Bookly. The updates may contain functionality improvements and important security fixes. For more information on where to find your purchase code see this <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-can-I-find-my-Purchase-Code" target="_blank">page</a>.', 'bookly-multisite' ) ?></small>
                <?php do_action( 'Bookly\Backend\Components\Settings\Proxy\Pro::renderPurchaseCode', $blog_id ) ?>
            </div>
            <div class="mt-3">
                <input type="hidden" name="domain" value="<?php echo esc_attr( Common::getSLD( $url ) ) ?>">
                <input type="hidden" name="blog_id" value="<?php echo $blog_id ?>">
                <button type="submit" class="btn btn-success"><?php esc_html_e( 'Save', 'bookly-multisite' ) ?></button>
                <a href="<?php echo Common::escNetworkAdminUrl( \BooklyMultisite\Modules\Network\Controller::page_slug ) ?>" class="btn btn-link"><?php esc_html_e( 'Cancel', 'bookly-multisite' ) ?></a>
            </div>
        </form>
    </div>
</div>