<?php
namespace BooklyPackages\Lib\DataHolders\Details;

use Bookly\Lib as BooklyLib;
use Bookly\Lib\DataHolders\Booking\Item;
use Bookly\Lib\DataHolders\Details;
use BooklyPackages\Lib\Entities;
use Bookly\Lib\Entities\Payment;

class Package extends Details\Base
{
    protected $type = Payment::ITEM_PACKAGE;

    protected $fields = array(
        'service_name',
        'service_price',
        'service_tax',
        'staff_name',
        'deposit_format',
    );

    /**
     * @param \BooklyPackages\Lib\DataHolders\Booking\Package $item
     * @return void
     */
    protected function setItem( Item $item )
    {
        $this->setPackage( $item->getPackage() );
    }

    /**
     * @param Entities\Package $package
     * @return void
     */
    public function setPackage( Entities\Package $package )
    {
        $service = BooklyLib\Entities\Service::find( $package->getServiceId() );
        $payment = BooklyLib\Entities\Payment::find( $package->getPaymentId() );

        $staff = $package->getStaffId()
            ? BooklyLib\Entities\Staff::find( $package->getStaffId() )
            : null;

        $this->price = $service->getPrice();
        $this->deposit = 0;

        $this->setData( array(
            'service_name' => $service->getTitle(),
            'service_price' => $this->price,
            'service_tax' => $payment->getTax(),
            'staff_name' => $staff ? $staff->getFullName() : __( 'Unassigned', 'bookly' ),
            'deposit_format' => BooklyLib\Proxy\DepositPayments::formatDeposit( $this->deposit, $this->deposit ),
        ) );
    }

}