<?php
namespace BooklyPaypalCheckout\Lib;

use Bookly\Lib as BooklyLib;
use BooklyPaypalCheckout\Backend;

abstract class Plugin extends BooklyLib\Base\Plugin
{
    protected static $prefix;
    protected static $title;
    protected static $version;
    protected static $slug;
    protected static $directory;
    protected static $main_file;
    protected static $basename;
    protected static $text_domain;
    protected static $root_namespace;
    protected static $embedded;

    /**
     * @inheritDoc
     */
    protected static function init()
    {
        // Init ajax.

        // Init proxy.
        Backend\Modules\Settings\ProxyProviders\Local::init();
        Backend\Modules\Settings\ProxyProviders\Shared::init();
        if ( get_option( 'bookly_paypal_enabled' ) === 'checkout' ) {
            Payment\ProxyProviders\Shared::init();
        }
    }

    /**
     * Deactivate plugin
     *
     * @param bool $network_wide
     */
    public static function deactivate( $network_wide )
    {
        if ( get_option( 'bookly_paypal_enabled' ) === 'checkout' ) {
            update_option( 'bookly_paypal_enabled', '0' );
        }
        parent::deactivate( $network_wide );
    }

}
