<?php
namespace BooklyPaypalCheckout\Lib\Payment\Paypal;

class Item extends Base
{
    /** @var string */
    protected $name;
    /** @var string */
    protected $description;
    /** @var string */
    protected $price;
    /** @var string */
    protected $tax = 0;
    /** @var int */
    protected $quantity = 1;

    /**
     * @return array
     */
    public function toArray()
    {
        return array(
            'description' => $this->description,
            'name' => $this->name,
            'quantity' => $this->quantity,
            'tax' => $this->money( $this->tax ),
            'unit_amount' => $this->money( $this->price ),
        );
    }

    /**
     * Sets name
     *
     * @param string $name
     * @return $this
     */
    public function setName( $name )
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Sets description
     *
     * @param string $description
     * @return $this
     */
    public function setDescription( $description )
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Sets price
     *
     * @param string $price
     * @return $this
     */
    public function setPrice( $price )
    {
        $this->price = $price;

        return $this;
    }

    /**
     * Sets tax
     *
     * @param string $tax
     * @return $this
     */
    public function setTax( $tax )
    {
        $this->tax = $tax;

        return $this;
    }

    /**
     * Sets quantity
     *
     * @param int $quantity
     * @return $this
     */
    public function setQuantity( $quantity )
    {
        $this->quantity = $quantity;

        return $this;
    }
}