<?php
namespace BooklyPaypalCheckout\Lib\Payment\Paypal;

class PurchaseUnit extends Base
{
    /** @var string */
    protected $description;
    /** @var Item[] */
    protected $items = array();

    /**
     * @return array
     */
    public function toArray()
    {
        $items = array();
        $item_total = $tax_total = 0;
        foreach ( $this->items as $item ) {
            $data = $item->toArray();
            $items[] = $data;
            $item_total += $data['unit_amount']['value'];
            $tax_total  += $data['tax']['value'];
        }

        $amount = $this->money( $item_total + $tax_total );
        $amount['breakdown'] = array(
            'item_total' => $this->money( $item_total ),
            'tax_total'  => $this->money( $tax_total ),
        );

        return array(
            'amount'       => $amount,
            'description'  => $this->description,
            'items'        => $items,
        );
    }

    /**
     * Sets description
     *
     * @param string $description
     * @return $this
     */
    public function setDescription( $description )
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Sets items
     *
     * @param Item $item
     * @return $this
     */
    public function addItem( $item )
    {
        $this->items[] = $item;

        return $this;
    }

}