<?php
namespace BooklyPaypalCheckout\Lib\Payment\ProxyProviders;

use Bookly\Frontend\Modules\Payment;
use Bookly\Lib\Payment\Proxy;
use Bookly\Lib\Entities;
use BooklyPaypalCheckout\Lib\Payment\PayPalGateway;

class Shared extends Proxy\Shared
{
    /**
     * @inerhitDoc
     */
    public static function getGatewayByName( $gateway, Payment\Request $request )
    {
        if ( $gateway === Entities\Payment::TYPE_PAYPAL && get_option( 'bookly_paypal_enabled' ) === 'checkout' ) {
            return new PayPalGateway( $request );
        }

        return $gateway;
    }

}