<?php defined( 'ABSPATH' ) || exit; // Exit if accessed directly
use Bookly\Backend\Components\Controls\Buttons;
use Bookly\Backend\Components\Controls\Inputs as ControlsInputs;
use Bookly\Backend\Components\Settings\Selects;
?>
<div class="tab-pane" id="bookly_settings_waiting_list">
    <form method="post" action="<?php echo esc_url( add_query_arg( 'tab', 'waiting_list' ) ) ?>">
        <div class="card-body">
            <?php Selects::renderSingle( 'bookly_waiting_list_despite_capacity', __( 'Add customers to the waiting list despite the capacity value', 'bookly' ), __( 'If enabled and someone is already on the waiting list, all other customers will be placed on the waiting list. If disabled, free places will be available for booking on the front-end if the number of persons matches the remaining places in appointment.', 'bookly' ) ); ?>
        </div>
        <div class="card-footer bg-transparent d-flex justify-content-end">
            <?php ControlsInputs::renderCsrf() ?>
            <?php Buttons::renderSubmit() ?>
            <?php Buttons::renderReset( null, 'ml-2' ) ?>
        </div>
    </form>
</div>